Bug 507501 - Review Request: inkboy-fonts - a simple clean latin font
Review Request: inkboy-fonts - a simple clean latin font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Radford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 22:02 EDT by Jim Radford
Modified: 2009-06-30 17:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: 20070624-3.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:31:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jim Radford 2009-06-22 22:02:25 EDT
Spec URL: http://blackbean.org/review/inkboy-fonts.spec
SRPM URL: http://blackbean.org/review/inkboy-fonts-20070624-1.fc11.src.rpm
Description:
This is a clean and usable font.
Comment 1 Nicolas Mailhot 2009-06-23 16:57:03 EDT
Quick review:

1. The licensing code for OFL, is OFL, not SIL 
http://fedoraproject.org/wiki/Legal_considerations_for_fonts#Approved_font_licenses
W: invalid-license SIL

2. Please do not rename the ttf, it makes cross-distro checks easier when everyone is using the unmodified upstream filename

3. I don't think you win a lot by creating the fontconfig file dynamically instead of putting it as Source1. So I'd advise against it. But I won't block the review on this

4. Please use a leading capital A in the summary
inkboy-fonts.noarch: W: summary-not-capitalized a clean and usable latin fantasy font

5. Please correct the documentation end of lines 
inkboy-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/inkboy-fonts-20070624/OFL.txt
inkboy-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/inkboy-fonts-20070624/FONTLOG.txt

6. Please correct the documentation encoding
file-not-utf8 /usr/share/doc/inkboy-fonts-20070624/FONTLOG.txt

You have examples of encoding and EOL fixup in the andika spec
http://cvs.fedoraproject.org/viewvc/devel/sil-andika-fonts/sil-andika-fonts.spec

(of course you need to adapt the source encoding passed to iconv to your file)

Apart from that, the spec seems clean and fine
Comment 2 Jim Radford 2009-06-23 19:07:15 EDT
(In reply to comment #1)
> 1. The licensing code for OFL, is OFL, not SIL 

Fixed.

> 2. Please do not rename the ttf, it makes cross-distro checks easier when
> everyone is using the unmodified upstream filename

Ok. Fixed.
 
> 3. I don't think you win a lot by creating the fontconfig file dynamically
> instead of putting it as Source1. So I'd advise against it. But I won't block
> the review on this

It's simpler for me to have a single file, so I'll leave that as is.
 
> 4. Please use a leading capital A in the summary

Fixed.
 
> 5. Please correct the documentation end of lines 

Fixed.

> 6. Please correct the documentation encoding

Fixed.

> Apart from that, the spec seems clean and fine  

Thanks for the review.

Spec URL: http://blackbean.org/review/inkboy-fonts.spec
SRPM URL: http://blackbean.org/review/inkboy-fonts-20070624-2.fc11.src.rpm
Comment 3 Nicolas Mailhot 2009-06-24 16:43:02 EDT
1. For multiarch packages you'll find out it's better not to change the timestamp of txt files during encoding conversion (that's why the other spec had a touch). But for a noarch package, in %doc, I guess no one cares a lot

2. Please do include OFL-FAQ.txt as %doc too, even though OFL.txt is the main legal document the FAQ has some legal value. And it's not big

I won't force another back-and-forth for 2. but do fix it before cvs import

☀☀☀ APPROVED ☀☀☀

The review is finished and you're now on you own to build, push and register your package everywhere it matters. Your next steps are documented on

http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

Thank you for packaging a new Fedora font!
Comment 4 Jim Radford 2009-06-24 17:53:25 EDT
(In reply to comment #3)
> 1. For multiarch packages you'll find out it's better not to change the
> timestamp of txt files during encoding conversion (that's why the other spec
> had a touch). But for a noarch package, in %doc, I guess no one cares a lot

I agree it doesn't matter for noarch, but I preserved them anyway.

> 2. Please do include OFL-FAQ.txt as %doc too, even though OFL.txt is the main
> legal document the FAQ has some legal value. And it's not big

I agree.  Fixed.
 
> Thank you for packaging a new Fedora font!  

You're welcome.

Spec URL: http://blackbean.org/review/inkboy-fonts.spec
SRPM URL: http://blackbean.org/review/inkboy-fonts-20070624-3.fc11.src.rpm

New Package CVS Request
=======================
Package Name: inkboy-fonts
Short Description: A clean and usable latin fantasy font
Owners: radford
Branches: F-11
InitialCC: font-sig
Comment 5 Jason Tibbitts 2009-06-25 16:10:35 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-25 17:10:04 EDT
inkboy-fonts-20070624-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/inkboy-fonts-20070624-3.fc11
Comment 7 Nicolas Mailhot 2009-06-26 04:50:46 EDT
BTW, upstream would probably be happy to learn of the Fedora packaging
Comment 8 Jim Radford 2009-06-26 13:08:22 EDT
(In reply to comment #7)
> BTW, upstream would probably be happy to learn of the Fedora packaging  

Thanks for the reminder.  I was waiting for the package it be added to F11 or at least to hit the rawhide mirrors.
Comment 9 Fedora Update System 2009-06-30 17:31:49 EDT
inkboy-fonts-20070624-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.